=== debian/changelog ===
pdfsandwich (0.1.4-1build2) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 11:30:44 +0000

pdfsandwich (0.1.4-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Fri, 06 Nov 2015 09:59:54 -0600

pdfsandwich (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #799129)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Sep 2015 10:50:51 +0200
