=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr/


override_dh_auto_clean:
	[ -e makefile.installprefix ] && make clean || exit 0

override_dh_installdocs:
	dh_installdocs -Xchangelog2deb.pl -Xmanual.txt
