## pdfsandwich 0.1.6

=== debian/changelog ===
pdfsandwich (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump to d/compat level 10 and update B-D version on debhelper to >10
    accordingly.

 -- Tobias Frost <tobi@debian.org>  Wed, 25 Jan 2017 20:49:56 +0100

pdfsandwich (0.1.5-2) unstable; urgency=medium

  * Really uploading to unstable now.

 -- Tobias Frost <tobi@debian.org>  Mon, 12 Sep 2016 08:12:37 +0200

pdfsandwich (0.1.5-1) experimental; urgency=medium

  * New upstream release, upload to unstable. (Closes: #802233)
  * B-D on ocaml-nox only
  * Add Depends on poppler-utils, as upstream migrates to it
  * Update binary package description and synopsis.
  * Update years in d/copyright
  * Bump S-V -- no changes
  * Replace VCS-* Links with https:// versions.

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Sep 2016 15:34:13 +0200

pdfsandwich (0.1.4-2) experimental; urgency=medium

  * B-D on ocaml-native-compilers to see if this enables more archs.
  * Targeting experimental for this.

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Nov 2015 23:39:13 +0100
