=== debian/control ===
Source: pdfsandwich
Section: text
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper (>= 10), ocaml-nox, txt2man
Standards-Version: 3.9.8
Homepage: http://www.tobias-elze.de/pdfsandwich/index.html
VCS-Git: https://anonscm.debian.org/git/collab-maint/pdfsandwich.git
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pdfsandwich.git

Package: pdfsandwich
Architecture: any
Depends: exactimage,
         ghostscript,
         imagemagick,
         tesseract-ocr (>=3.00),
         poppler-utils,
         unpaper,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tool to generate "sandwich" OCR pdf files
 pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which contain
 only images (no text) will be processed by optical character recognition (OCR)
 and the text will be added to each page invisibly "behind" the images.
 pdfsandwich is a command line tool which is supposed to be useful to OCR
 scanned books or journals.
 .
 It is able to recognize the page layout even for multicolumn text.
 .
 Essentially, pdfsandwich is a wrapper script which calls the following
 binaries: convert, unpaper, gs (only for psd resizing), hocr2pdf (for
 tesseract < 3.03), and tesseract.
