=== debian/watch ===
version=3
http://sf.net/pdfsandwich/pdfsandwich-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
