## pdfsandwich 0.1.7

=== Makefile ===
--- 
+++ 
@@ -47,11 +47,12 @@
 INSTALLDOCDIR = $(PREF)/share/doc/$(TARGET)
 
 install: $(DOCFILES) $(ADDITIONAL)
-	mkdir -m 755 -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR)
+	(umask 0022; mkdir -p $(INSTALLBINDIR) $(INSTALLDOCDIR) $(INSTALLMANDIR))
 	$(INSTALL) $(TARGET) $(INSTALLBINDIR)
 	$(CP) $(DOCFILES) $(INSTALLDOCDIR)
 	gzip -9 $(INSTALLDOCDIR)/changelog
 	$(CP) $(MANUAL) $(INSTALLMANDIR)
+	chmod 644 $(INSTALLDOCDIR)/* $(INSTALLMANDIR)/*
 
 uninstall:
 	rm -rf $(INSTALLBINDIR)/$(TARGET) $(INSTALLDOCDIR) $(INSTALLMANDIR)/$(MANUAL)
@@ -91,6 +92,7 @@
 $(DEBPACKAGE): all
 	$(MAKE) PREFIX=$@/usr install
 	./changelog2deb.pl changelog | gzip -9 > $(DEBDOCDIR)/changelog.Debian.gz
+	chmod 644 $(DEBDOCDIR)/changelog.Debian.gz
 	
 md5sums: $(DEBPACKAGE)
 	cd $< && find * -type f -exec md5sum {} \; > ../md5sums
@@ -102,5 +104,5 @@
 clean: 
 	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so depend $(TARGET)
 	rm -f pdfsandwich_version.ml $(MANUAL)
-	rm -rf $(PACKAGE) $(PACKAGE).tar.bz2 $(DEBPACKAGE)
+	rm -rf $(PACKAGE) $(PACKAGE).tar.bz2 $(DEBPACKAGE) $(DEBPACKAGE).deb
