=== debian/changelog ===
pdfsandwich (0.1.7-3build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:56:08 +0100

pdfsandwich (0.1.7-3build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:17:41 +0200

pdfsandwich (0.1.7-3build1) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:39:59 +0100

pdfsandwich (0.1.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix field name case in debian/control (VCS-Git => Vcs-Git).
  * Fix field name case in debian/control (VCS-Browser ⇒ Vcs-Browser).
  * Remove constraints unnecessary since buster (oldstable):
    + pdfsandwich: Drop versioned constraint on tesseract-ocr in Depends.

  [ Tobias Frost ]
  * Bump S-V to 4.7.0 - no changes required
  * Bump compat level to 13.
  * Bump d/watch version to 4. 

 -- Tobias Frost <tobi@debian.org>  Mon, 23 Dec 2024 19:07:42 +0100

pdfsandwich (0.1.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update standards version to 4.2.1, no changes needed.

  [ Tobias Frost ]
  * Update copyright years.
  * Update S-V to 4.5.0:
    - specify Rules-Requires-Root to no
  * Use compat level 12.
  * At metadata for upstream BTS.
  * Enable CI on salsa.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Apr 2020 11:30:21 +0200

pdfsandwich (0.1.7-1) unstable; urgency=medium

  * New upstream release.
    - remove 02-fix-903026.patch -- implemented by upstream in new version
    - Rework 03-spelling-fixes.patch -- applied upstream partially.
  * Bump S-V to 4.2.0 (added Requires-Root to d/control).

 -- Tobias Frost <tobi@debian.org>  Thu, 23 Aug 2018 21:20:30 +0200

pdfsandwich (0.1.6-2) unstable; urgency=medium

  * d/control: repository moved to gitlab.
  * Add patch to put temporary files into own tmpdir with the proper
    permsissions. (Closes: #903026, #868934)
  * Bump S-V to 4.1.5 -- no changes
  * Update d/copyright: years and secure URI
  * Bump compat level to 11
  * Add spelling fixing patch

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Jul 2018 21:49:14 +0800
