=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,3 @@
 
 override_dh_installdocs:
 	dh_installdocs -Xchangelog2deb.pl -Xmanual.txt
-
